package iot.lidee.iot.data.job;

import iot.lidee.iot.service.IDeviceMaintenanceRepairService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 *
 * 同步设备保养维修信息
 *
 */
@Slf4j
@Component
public class SyncDeviceMaintenanceRepairJob {

    @Resource
    private IDeviceMaintenanceRepairService deviceMaintenanceRepairService;

    /**
     * 同步设备维修保养信息定时任务
     * 定期触发设备维修保养数据的同步操作
     */
    public void syncDeviceMaintenanceRepairInfo() {
        log.info("*********** 开始同步维修保修数据 ************");
        
        deviceMaintenanceRepairService.syncDeviceMaintenanceRepairInfo();
        
        log.info("*********** 开始同步维修保修数据 ************");
    }
}
